LibreOffice: rtl::Uri Class Reference

LibreOffice LibreOffice 25.2 SDK C/C++ API Reference |

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
rtl::Uri Class Reference

A wrapper around the C functions from <rtl/uri.h>. More...

`#include <uri.hxx>`

## Static Public Member Functions
static rtl::OUString | encode (rtl::OUString const &rText, sal_Bool const *pCharClass, rtl_UriEncodeMechanism eMechanism, rtl_TextEncoding eCharset)
| A wrapper around rtl_uriEncode() from <rtl/uri.h> (see there), using an array of 128 booleans as char class.
static rtl::OUString | encode (rtl::OUString const &rText, rtl_UriCharClass eCharClass, rtl_UriEncodeMechanism eMechanism, rtl_TextEncoding eCharset)
| A wrapper around rtl_uriEncode() from <rtl/uri.h> (see there), using a predefined rtl_UriCharClass enumeration member.
static rtl::OUString | decode (rtl::OUString const &rText, rtl_UriDecodeMechanism eMechanism, rtl_TextEncoding eCharset)
| A wrapper around rtl_uriDecode() from <rtl/uri.h> (see there).
static rtl::OUString | convertRelToAbs (rtl::OUString const &rBaseUriRef, rtl::OUString const &rRelUriRef)
| A wrapper around rtl_uriConvertRelToAbs() from <rtl/uri.h> (see there).

## Detailed Description

A wrapper around the C functions from <rtl/uri.h>.

## Member Function Documentation

## ◆ convertRelToAbs()

rtl::OUString rtl::Uri::convertRelToAbs | ( | rtl::OUString const & | rBaseUriRef,
|  | rtl::OUString const & | rRelUriRef )
| inlinestatic

A wrapper around rtl_uriConvertRelToAbs() from <rtl/uri.h> (see there).

Exceptions

  MalformedUriException | Thrown in case rtl_uriConvertRelToAbs() signals an exception due to a malformed base URI.

## ◆ decode()

rtl::OUString rtl::Uri::decode | ( | rtl::OUString const & | rText,
|  | rtl_UriDecodeMechanism | eMechanism,
|  | rtl_TextEncoding | eCharset )
| inlinestatic

A wrapper around rtl_uriDecode() from <rtl/uri.h> (see there).

## ◆ encode() [1/2]

rtl::OUString rtl::Uri::encode | ( | rtl::OUString const & | rText,
|  | rtl_UriCharClass | eCharClass,
|  | rtl_UriEncodeMechanism | eMechanism,
|  | rtl_TextEncoding | eCharset )
| inlinestatic

A wrapper around rtl_uriEncode() from <rtl/uri.h> (see there), using a predefined rtl_UriCharClass enumeration member.

## ◆ encode() [2/2]

rtl::OUString rtl::Uri::encode | ( | rtl::OUString const & | rText,
|  | sal_Bool const * | pCharClass,
|  | rtl_UriEncodeMechanism | eMechanism,
|  | rtl_TextEncoding | eCharset )
| inlinestatic

A wrapper around rtl_uriEncode() from <rtl/uri.h> (see there), using an array of 128 booleans as char class.

The documentation for this class was generated from the following file:

- rtl/uri.hxx